import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./async-toggle-button.stories";

<Meta of={ComponentStories} name="Docs" />

# Async Toggle Button

The `<ux-iws-async-toggle-button>` web component can be toggled and shows its state (on/off).

<Canvas of={ComponentStories.Default}></Canvas>

## Toggle Button with Label

<Canvas of={ComponentStories.WithLabel}></Canvas>

## Synced Toggle Buttons

When multiple toggle buttons on one page should share their state, they can be synced. The toggle event will only be fired once.

<Canvas of={ComponentStories.SyncedToggleButtons}></Canvas>

## Toggle Buttons with API

The button can send requests to provided URLs to toggle a state on a server. If the request comes back with an error, the toggle will switch back to its original state and will be highlighted in red.

<Canvas of={ComponentStories.WithApi}></Canvas>

## Developer Documentation

<Controls />
